<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <meta charset="UTF-8">
    <title>Movies</title>
</head>
<body style="background-color:powderblue;">
<li align="right">
    <a href = "/register">Registration</a>
</li>
<li align="right">
    <a href = "/login">Log In</a>
</li>
<div class="container">



    <form th:action="@{/movie/search}" th:object="${search}" method="post">
        <label for="pretraga" >Search:</label>
        <input id="pretraga" type="text" th:field="*{search}" />
        <br/>

        <input type="submit" >
    </form>

    <div class="row">
        <div class="col">
            <form align="center">
                <h1>Movies:</h1>
            </form>
        </div>
    </div>
    <form align="center">
        <a href="/movie/sortNameOMUp">Sort by name ASC;</a>
        <a href="/movie/sortNameOMDown">Sort by name DESC;</a>
        <a href="/movie/sortPriceUp">Sort by price ASC;</a>
        <a href="/movie/sortPriceDown">Sort by price DESC</a>
    </form>
    <div class="row" >
        <table id="movie" class="table" border="1" width="200px" height="auto" align="center">
            <tr>
                <th>Id</th>
                <th>NameOm</th>
                <th>Description</th>
                <th>Duration</th>
                <th>Genre</th>
                <th>Mark</th>
                <th>Price</th>

            </tr>

            <tr th:each="movie : ${movie}">
                <td th:text="${movie.id}"></td>
                <td th:text="${movie.nameOM}"></td>
                <td th:text="${movie.description}"></td>
                <td th:text="${movie.duration}"></td>
                <td th:text="${movie.genre}"></td>
                <td th:text="${movie.mark}"></td>
                <td th:text="${movie.price}"></td>
                </form>
            </tr>
        </table>
    </div>
</div>

</body>
</html>